package net.sf.saxon.codenorm;

import java.util.HashMap;

/**
 * Integer hash table. Uses Java Hashtable in stub version
 * Copyright (c) 1991-2005 Unicode, Inc.
 * For terms of use, see http://www.unicode.org/terms_of_use.html
 * For documentation, see UAX#15.<br>
 * @author Mark Davis
 * @author Michael Kay - modified to use a HashMap and specify an initial size
 */

public class IntHashtable {
    static final String copyright = "Copyright  1998-1999 Unicode, Inc.";

    public IntHashtable (int defaultValue, int initialSize) {
        this.defaultValue = defaultValue;
        table = new HashMap(initialSize);
    }

    public void put(int key, int value) {
        if (value == defaultValue) {
            table.remove(new Integer(key));
        } else {
            table.put(new Integer(key), new Integer(value));
        }
    }

    public int get(int key) {
        Object value = table.get(new Integer(key));
        if (value == null) return defaultValue;
        return ((Integer)value).intValue();
    }

    private int defaultValue;
    private HashMap table;
}