package net.sf.saxon.codenorm;

import java.util.HashMap;

/**
 * Integer-String hash table. Uses Java Hashtable for now.
 * @author Mark Davis
 * @author Michael Kay - modified to use a HashMap and to specify an initial size
 */

public class IntStringHashtable {
    static final String copyright = "Copyright  1998-1999 Unicode, Inc.";

    public IntStringHashtable (String defaultValue, int initialSize) {
        this.defaultValue = defaultValue;
        table = new HashMap(initialSize);
    }

    public void put(int key, String value) {
        if (value == defaultValue) {
            table.remove(new Integer(key));
        } else {
            table.put(new Integer(key), value);
        }
    }

    public String get(int key) {
        Object value = table.get(new Integer(key));
        if (value == null) return defaultValue;
        return (String)value;
    }

    private String defaultValue;
    private HashMap table;
}